## Process this file with automake to produce Makefile.in
##
## $Id$
##
## automake input for the MicroNeil SNFServer application (SNFServer directory).
##
## Author:  Alban Deniz
##
## Copyright (C) 2008 ARM Research Labs, LLC.
## See www.armresearch.com for the copyright terms.
##
##

LIBS = @SNF_LIBS@ @LIBS@
CXXFLAGS = $(SNF_CXXFLAGS) -I@top_srcdir@/source/SNFMulti \
-I@top_srcdir@/source/CodeDweller

sbin_PROGRAMS =               				\
	SNFServer

SNFServer_SOURCES =        				       \
	@top_srcdir@/source/SNFServer/main.cpp                 \
	@top_srcdir@/source/CodeDweller/base64codec.cpp	       \
	@top_srcdir@/source/CodeDweller/configuration.cpp      \
	@top_srcdir@/source/CodeDweller/networking.cpp	       \
	@top_srcdir@/source/CodeDweller/threading.cpp	       \
	@top_srcdir@/source/CodeDweller/mangler.cpp	       \
	@top_srcdir@/source/CodeDweller/timing.cpp             \
        @top_srcdir@/source/SNFMulti/snf_saccades.cpp          \
	@top_srcdir@/source/SNFMulti/FilterChain.cpp	       \
	@top_srcdir@/source/SNFMulti/GBUdb.cpp		       \
	@top_srcdir@/source/SNFMulti/scanner.cpp	       \
	@top_srcdir@/source/SNFMulti/snfCFGmgr.cpp	       \
	@top_srcdir@/source/SNFMulti/snf_engine.cpp	       \
	@top_srcdir@/source/SNFMulti/snfGBUdbmgr.cpp	       \
	@top_srcdir@/source/SNFMulti/snf_HeaderFinder.cpp      \
	@top_srcdir@/source/SNFMulti/snfLOGmgr.cpp	       \
	@top_srcdir@/source/SNFMulti/SNFMulti.cpp	       \
	@top_srcdir@/source/SNFMulti/snfNETmgr.cpp	       \
	@top_srcdir@/source/SNFMulti/snf_sync.cpp	       \
	@top_srcdir@/source/SNFMulti/snf_xci.cpp	       \
	@top_srcdir@/source/SNFMulti/snfXCImgr.cpp

EXTRA_DIST = 						\
	Makefile.am

install-exec-hook:
	ln -f $(DESTDIR)$(sbindir)/SNFServer$(EXEEXT) $(DESTDIR)$(sbindir)/SNFDebugServer$(EXEEXT)

uninstall-hook:
	rm -f $(DESTDIR)$(sbindir)/SNFDebugServer$(EXEEXT)

clean-local:
	rm -f *.gcno *.gcov *.gcda *~ $(CONFDATA)
